Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.core.io
[Java] Class SpringResource

    java.lang.Object
      org.codehaus.groovy.grails.core.io.SpringResource

All Implemented Interfaces:
  Resource

    public class SpringResource
    extends java.lang.Object

Bridges Grails and Spring Resource APIs

Authors:
  Graeme Rocher

Since:
  2.2

Constructor Summary
`SpringResource(org.springframework.core.io.Resource springResource)`

Method Summary
`long` | `contentLength()`
`Resource` | `createRelative(java.lang.String relativePath)`
`boolean` | `exists()`
`java.lang.String` | `getDescription()`
`java.io.File` | `getFile()`
`java.lang.String` | `getFilename()`
`java.io.InputStream` | `getInputStream()`
`java.net.URI` | `getURI()`
`java.net.URL` | `getURL()`
`boolean` | `isReadable()`
`long` | `lastModified()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### SpringResource

    public SpringResource(org.springframework.core.io.Resource springResource)

Method Detail

### contentLength

    public long contentLength()

### createRelative

    public Resource createRelative(java.lang.String relativePath)

### exists

    public boolean exists()

### getDescription

    public java.lang.String getDescription()

### getFile

    public java.io.File getFile()

### getFilename

    public java.lang.String getFilename()

### getInputStream

    public java.io.InputStream getInputStream()

### getURI

    public java.net.URI getURI()

### getURL

    public java.net.URL getURL()

### isReadable

    public boolean isReadable()

### lastModified

    public long lastModified()

Groovy Documentation